package BBUVAJAVA;

import java.util.ArrayList;



/**
 *  <p style="margin-top: 0">
 *          Cada cliente tiene asociado 1 o varios productos, ademas el cliente 
 *          puede ser una persona normal, o una juridica (empresa) que enviar&#225; las 
 *          remesas, por ello debe tener la relacion con clase asociada, porque los 
 *          clientes deben darle permiso para enviar las remesas.
 *        </p>
 */
// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.5D9F36DE-C36A-98E0-3337-2FDA1DED0A4B]
// </editor-fold> 
public class Cliente {
private String nombreCliente;

        private String documentacion;
         private ArrayList<Domicializacion> mDomicializacion;
        private ArrayList<Producto> mProducto;


        public Cliente(){
            mProducto=new ArrayList();
        }


    public String getNombreCliente () {
        return nombreCliente;
    }


    public void setNombreCliente (String val) {
        this.nombreCliente = val;
    }

    /**
     * @return the documentacion
     */
    public String getDocumentacion() {
        return documentacion;
    }

    /**
     * @param documentacion the documentacion to set
     */
    public void setDocumentacion(String documentacion) {
        this.documentacion = documentacion;
    }

    /**
     * @return the mProducto
     */
    public ArrayList<Producto> getMProducto() {
        return mProducto;
    }

    /**
     * @param mProducto the mProducto to set
     */
    public void setMProducto(ArrayList<Producto> mProducto) {
        this.mProducto = mProducto;
    }

    public void insertaProductoenCliente(Producto p){
        this.mProducto.add(p);
    }
        public ArrayList<Domicializacion> getMDomicializacion() {
        return mDomicializacion;
    }

    /**
     * @param mDomicializacion the mDomicializacion to set
     */
    public void setMDomicializacion(ArrayList<Domicializacion> mDomicializacion) {
        this.mDomicializacion = mDomicializacion;
    }


}
